<template>
  <div class="order-card-payment-form">
    <div class="order-card-payment-form--block">
      <div class="order-card-payment-form--row">
        <div class="order-card-payment-form--block-item">Всего начислений:</div>
        <div class="order-card-payment-form--block-value">{{ summary.accrualCount }}</div>
      </div>
      <div class="order-card-payment-form--row">
        <div class="order-card-payment-form--block-item">В реестрах:</div>
        <div class="order-card-payment-form--block-value">-</div>
      </div>
      <div class="order-card-payment-form--row">
        <div class="order-card-payment-form--block-item">Оплачено:</div>
        <div class="order-card-payment-form--block-value">{{ summary.paidCount }}</div>
      </div>
    </div>
    <div class="order-card-payment-form--block">
      <div class="order-card-payment-form--row">
        <div class="order-card-payment-form--block-item">{{ isNds ? 'Итого к оплате' : 'Итого без НДС' }}:</div>
        <div class="order-card-payment-form--block-value">{{ (isExistBillingDocs ? order.totalPrice : 0) / 100 | currency({ dot: 2 }) }} ₽</div>
      </div>
      <div
        v-if="isNds"
        class="order-card-payment-form--row"
      >
        <div class="order-card-payment-form--block-item">Итого без НДС:</div>
        <div class="order-card-payment-form--block-value">{{ (isExistBillingDocs ? order.totalPriceWithoutVat : 0) / 100 | currency({ dot: 2 }) }} ₽</div>
      </div>
      <div
        v-if="isNds"
        class="order-card-payment-form--row"
      >
        <div class="order-card-payment-form--block-item">НДС:</div>
        <div class="order-card-payment-form--block-value">{{ (isExistBillingDocs ? order.vatValue : 0) / 100 | currency({ dot: 2 }) }} ₽</div>
      </div>
      <div class="order-card-payment-form--row">
        <div class="order-card-payment-form--block-item">Оплачено:</div>
        <div class="order-card-payment-form--block-value">{{ summary.paidSum / 100 | currency({ dot: 2 }) }} ₽</div>
      </div>
      <div
        v-if="summary.withheldSum !== null"
        class="order-card-payment-form--row"
      >
        <div class="order-card-payment-form--block-item">Удержано:</div>
        <div class="order-card-payment-form--block-value">{{ summary.withheldSum / 100 | currency({ dot: 2 }) }} ₽</div>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    name: "formStatistic",
    props: {
      isExistBillingDocs: {
        type: Boolean,
        default: false
      },
      payments: {
        type:  Object,
        required: true
      },
      order: {
        type:  Object,
        default: () => {}
      }
    },
    computed: {
      summary () {
        return this.payments.summary
      },
      isNds () {
        return Boolean(this.order.vatType !== 'NO_VAT')
      }
    }
  }
</script>

<style scoped lang="scss">
.order-card-payment-form {
  display: flex;
  width: 480px;
  background: $background-white;
  border: 1px solid $lavender;
  border-radius: 3px;
  margin: 26px 0 50px;
  padding: 30px 30px 22px;
  &--row {
    display: flex;
    align-items: center;
  }
  &--block {
    display: flex;
    flex-direction: column;
    font-size: 14px;
    line-height: 24px;
    &:first-child {
      margin-right: 8px;
      .order-card-payment-form--block-value {
        width: 10px;
      }
    }
    &:last-child {
      flex-grow: 2;
      .order-card-payment-form--block-value {
        width: 85px;
      }
    }
    &-item {
      color: $gray-slate;
      flex-grow: 1;
      width: 50%;
      padding-right: 12px;
      white-space: nowrap;
      text-align: right;
    }
    &-value {
      color: $style-black;
      text-align: right;
      white-space: nowrap;
    }
  }
}
</style>
